Subject: bug#57781: missing wallpaper command

From: Felix <[email-masked]>
Date: Sun, 18 Sep 2022 13:16:29 +0200

Stefan Kangas <[email-masked]> writes:

> Felix <[email-masked]> writes:
>
>> On a fresh debian install with
>> - gnome-shell:
>> $XDG_CURRENT_DESKTOP is not set (i will check on arch linux later today)
>
> This is surprising to me.  But I guess that variable should be set by
> something like "gdm"?  Is that what you used?
>

You are right! I'm kind of used to start things from tty.
Starting gnome with gdm:
$XDG_CURRENT_DESKTOP=GNOME
$DESKTOP_SESSION=gnome
Though it's not certain that everybody who uses gnome also uses gdm,
most of the time it will be the case i guess.

>>> If you like, perhaps you could send the output of the `env' command to
>>> me privately.  Just edit out anything sensitive before sending it.
>>
>> I will do that later today aswell.
> [...]
>>>> I can check KDE later, but I don't expect wgb or swaybg to work there.
>>
>> I'll include that later today (i'm on a train back home at the moment)
>
> Excellent, thank you!